Loading...
Searching...
No Matches
lapdm_datalink Struct Reference
LAPDm implementation according to GSM TS 04.06

LAPDm datalink like TS 04.06 / Section 3.5.2. More...

`#include <lapdm.h>`

## Data Fields

struct lapd_datalink | dl
struct lapdm_msg_ctx | mctx
| context of established connection
struct lapdm_entity * | entity
| LAPDm entity we are part of.
struct llist_head | tx_ui_queue
| UI frames to L1.
uint32_t | t200_fn
| T200 timer in frames.
uint32_t | t200_timeout
| T200 timeout frame number.

## Detailed Description

LAPDm datalink like TS 04.06 / Section 3.5.2.

## Field Documentation

## dl

struct lapd_datalink lapdm_datalink::dl

Referenced by l2_ph_data_ind(), lapdm_dl_init(), lapdm_entity_exit(), lapdm_entity_reset(), lapdm_entity_set_flags(), lapdm_entity_set_mode(), lapdm_send_ph_data_req(), lapdm_t200_fn_dl(), rsl_rll_error(), rslms_rx_rll(), rslms_rx_rll_data_req(), rslms_rx_rll_est_req(), rslms_rx_rll_rel_req(), rslms_rx_rll_res_req(), rslms_rx_rll_susp_req(), rslms_rx_rll_udata_req(), send_rslms_dlsap(), set_lapdm_context(), tx_dequeue_acch_msgb(), and tx_ph_data_enqueue().

## entity

struct lapdm_entity* lapdm_datalink::entity

LAPDm entity we are part of.

Referenced by lapdm_dl_init(), lapdm_send_ph_data_req(), rsl_rll_error(), rslms_rx_rll_udata_req(), send_rll_simple(), send_rslms_rll_l3(), send_rslms_rll_l3_ui(), tx_dequeue_msgb(), tx_ph_data_enqueue(), and tx_ph_data_enqueue_ui().

## mctx

struct lapdm_msg_ctx lapdm_datalink::mctx

context of established connection

Referenced by l2_ph_data_ind(), lapdm_send_ph_data_req(), rslms_rx_rll_est_req(), rslms_rx_rll_res_req(), send_rslms_dlsap(), and set_lapdm_context().

## t200_fn

uint32_t lapdm_datalink::t200_fn

T200 timer in frames.

Referenced by lapdm_entity_set_t200_fn().

## t200_timeout

uint32_t lapdm_datalink::t200_timeout

T200 timeout frame number.

Referenced by lapdm_t200_fn_dl().

## tx_ui_queue

struct llist_head lapdm_datalink::tx_ui_queue

UI frames to L1.

Referenced by lapdm_dl_init(), and tx_ph_data_enqueue_ui().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/lapdm.h